## deal 1.0-20

=== DESCRIPTION ===
Package: deal
Version: 1.0-20
Date: 2002-01-05
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.
Maintainer: Claus Dethlefsen <dethlef@math.auc.dk>
Depends: R (>= 1.5.0)
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.auc.dk/novo/deal

## deal 1.1-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.0-20
+Version: 1.1-1
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.

## deal 1.1-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.1-1
+Version: 1.1-2
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.

## deal 1.1-15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.1-2
+Version: 1.1-15
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.

## deal 1.2-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.1-15
+Version: 1.2-3
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.

## deal 1.2-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.2-3
+Version: 1.2-4
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.

## deal 1.2-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.2-4
+Version: 1.2-6
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.

## deal 1.2-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.2-6
+Version: 1.2-7
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.

## deal 1.2-8

=== DESCRIPTION ===
Package: deal
Version: 1.2-8
Date: 2002-01-05
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.
Maintainer: Claus Dethlefsen <dethlef@math.auc.dk>
Depends: R (>= 1.8.0),dynamicGraph,methods
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.auc.dk/novo/deal

## deal 1.2-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.2-8
+Version: 1.2-9
 Date: 2002-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.auc.dk>, Claus Dethlefsen <dethlef@math.auc.dk>.

## deal 1.2-17

=== DESCRIPTION ===
Package: deal
Version: 1.2-17
Date: 2004-01-08
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <dethlef@math.aau.dk>.
Maintainer: Claus Dethlefsen <dethlef@math.aau.dk>
Depends: R (>= 1.8.0),dynamicGraph,methods
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.aau.dk/novo/deal
Packaged: Thu Aug  5 12:59:11 2004; dethlef

## deal 1.2-22

=== DESCRIPTION ===
Package: deal
Version: 1.2-22
Date: 2004-10-11
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <dethlef@math.aau.dk>.
Maintainer: Claus Dethlefsen <dethlef@math.aau.dk>
Depends: R (>= 2.0.0),methods,dynamicGraph
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.aau.dk/novo/deal
Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R anetworkclass.R dealObjects.R usermenus.R
Packaged: Fri Nov 19 12:37:02 2004; dethlef

## deal 1.2-25

=== DESCRIPTION ===
Package: deal
Version: 1.2-25
Date: 2005-5-5
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <aas.claus.dethlefsen@nja.dk>.
Maintainer: Claus Dethlefsen <aas.claus.dethlefsen@nja.dk>
Depends: R (>= 2.0.0),methods,dynamicGraph
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.aau.dk/~dethlef/novo/deal
Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R anetworkclass.R dealObjects.R usermenus.R
Packaged: Wed May  4 17:49:51 2005; hornik

## deal 1.2-26

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: deal
-Version: 1.2-25
-Date: 2005-5-5
+Version: 1.2-26
+Date: 2005-11-3
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <aas.claus.dethlefsen@nja.dk>.
 Maintainer: Claus Dethlefsen <aas.claus.dethlefsen@nja.dk>
@@ -9,4 +9,4 @@
 License: GPL version 2 or newer
 URL: http://www.math.aau.dk/~dethlef/novo/deal
 Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R anetworkclass.R dealObjects.R usermenus.R
-Packaged: Wed May  4 17:49:51 2005; hornik
+Packaged: Thu Nov  3 14:48:42 2005; 86c9

## deal 1.2-27

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: deal
-Version: 1.2-26
-Date: 2005-11-3
+Version: 1.2-27
+Date: 2006-04-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <aas.claus.dethlefsen@nja.dk>.
 Maintainer: Claus Dethlefsen <aas.claus.dethlefsen@nja.dk>
@@ -9,4 +9,4 @@
 License: GPL version 2 or newer
 URL: http://www.math.aau.dk/~dethlef/novo/deal
 Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R anetworkclass.R dealObjects.R usermenus.R
-Packaged: Thu Nov  3 14:48:42 2005; 86c9
+Packaged: Wed Apr  5 08:46:55 2006; 86c9

## deal 1.2-28

=== DESCRIPTION ===
Package: deal
Version: 1.2-28
Date: 2006-09-29
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <aas.claus.dethlefsen@nja.dk>.
Maintainer: Claus Dethlefsen <aas.claus.dethlefsen@nja.dk>
Depends: R (>= 2.0.0),methods,dynamicGraph
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.aau.dk/~dethlef/novo/deal
Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R fullsimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R anetworkclass.R dealObjects.R usermenus.R
Packaged: Thu Sep 28 14:20:14 2006; 86c9

## deal 1.2-29

=== DESCRIPTION ===
Package: deal
Version: 1.2-29
Date: 2007-04-19
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <cld@rn.dk>.
Maintainer: Claus Dethlefsen <cld@rn.dk>
Depends: R (>= 2.0.0)
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.aau.dk/~dethlef/novo/deal
Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R fullsimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R
Packaged: Thu Apr 19 13:31:57 2007; 86c9

## deal 1.2-30

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: deal
-Version: 1.2-29
+Version: 1.2-30
 Date: 2007-04-19
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bttcher <alma@math.aau.dk>, Claus Dethlefsen <cld@rn.dk>.
@@ -9,4 +9,4 @@
 License: GPL version 2 or newer
 URL: http://www.math.aau.dk/~dethlef/novo/deal
 Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R fullsimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R
-Packaged: Thu Apr 19 13:31:57 2007; 86c9
+Packaged: Fri Apr 20 09:48:30 2007; 86c9

## deal 1.2-31

=== DESCRIPTION ===
Package: deal
Version: 1.2-31
Date: 2008-12-04
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bottcher <alma@math.aau.dk>, Claus Dethlefsen <cld@rn.dk>.
Maintainer: Claus Dethlefsen <cld@rn.dk>
Depends: R (>= 2.0.0)
Description: Bayesian networks with continuous and/or discrete variables can be learned and compared from data.
License: GPL version 2 or newer
URL: http://www.math.aau.dk/~dethlef/novo/deal
Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R fullsimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R
Packaged: Thu Dec  4 13:42:03 2008; 86c9

## deal 1.2-33

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: deal
-Version: 1.2-31
-Date: 2008-12-04
+Version: 1.2-33
+Date: 2009-01-05
 Title: Learning Bayesian Networks with Mixed Variables
 Author: Susanne Gammelgaard Bottcher <alma@math.aau.dk>, Claus Dethlefsen <cld@rn.dk>.
 Maintainer: Claus Dethlefsen <cld@rn.dk>
@@ -9,4 +9,4 @@
 License: GPL version 2 or newer
 URL: http://www.math.aau.dk/~dethlef/novo/deal
 Collate: addarrows.R autosearch.R conditional.R cycletest.R drawnetwork.R findex.R generic.R genlatex.R heuristic.R inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R makesimprob.R fullsimprob.R maketrylist.R master.R network.R networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R postdist.R readnet.R rnetwork.R savenet.R unique.R
-Packaged: Thu Dec  4 13:42:03 2008; 86c9
+Packaged: Mon Jan  5 14:42:40 2009; 86c9

## deal 1.2-35

=== DESCRIPTION ===
Package: deal
Version: 1.2-35
Date: 2011-04-01
Title: Learning Bayesian Networks with Mixed Variables
Author: Susanne Gammelgaard Bottcher <alma@math.aau.dk>, Claus
        Dethlefsen <cld@rn.dk>.
Maintainer: Claus Dethlefsen <cld@rn.dk>
Depends: R (>= 2.0.0)
Description: Bayesian networks with continuous and/or discrete
        variables can be learned and compared from data.
License: GPL (>= 2)
Collate: addarrows.R autosearch.R conditional.R cycletest.R
        drawnetwork.R findex.R generic.R genlatex.R heuristic.R
        inspectprob.R jointcont.R jointdisc.R jointprior.R learning.R
        makesimprob.R fullsimprob.R maketrylist.R master.R network.R
        networkfamily.R node.R numbermixed.R perturb.R postc.R postc0.R
        postdist.R readnet.R rnetwork.R savenet.R unique.R
Packaged: 2012-08-14 13:32:56 UTC; 86c9
Repository: CRAN
Date/Publication: 2012-08-14 13:59:43

## deal 3.0.8

=== Makefile ===
# 
#
# This file is copyrighted under the GNU Public License.
# See http://www.gnu.org/copyleft/gpl.html for further
# details.
#
# Makefile for "deal", a bridge hand generator.
#

TCL_DIR=/usr/local

CC=gcc
#DEBUG_FLAGS=-pg -g -ansi -Wall 
DEBUG_FLAGS=-O3 -ansi -Wall 

# Change TCL_INCL to point to the directory containing Tcl's
# include files
TCL_INCL=$(TCL_DIR)/include/tcl8.0
#TCL_INCL=./tcl8.1.1/generic

# Change TCL_LIB to point to the directory where you have a copy
# of libtcl.
# 
TCL_LIB=$(TCL_DIR)/lib

######
# For Solaris2, you need some more libraries
#
#LDFLAGS=  -L$(TCL_LIB) -ltcl80 -lm -ldl -lsocket -lnsl
LDFLAGS=  -L$(TCL_LIB) -ltcl80 -lm




#
ADVISOR=

# Since strdup is not implemented on some Ultrix systems
# (and is not required by ANSI C) you might want to
# uncomment the following line:
#
# EXTRAS_OBJS= util.o
#
EXTRA_OBJS= 

# On system which don't have "random" and "srandom",
# you might have to use the horrible "rand" for random
# number generation
#
#EXTRA_CFLAGS = -Drandom=rand -Dsrandom=srand
#
#EXTRA_CFLAGS = 
#EXTRA_CFLAGS = -DUSE_RAND48

COMPILE.c= $(CC) $(CFLAGS) $(CPPFLAGS) -c

CFLAGS= $(DEBUG_FLAGS) -I$(TCL_INCL) $(EXTRA_CFLAGS)


OBJS=random.o additive.o hand.o deal.o formats.o tcl_deal.o maindeal.o stat.o counttable.o \
	vector.o dist.o stringbox.o dealtypes.o keywords.o holdings.o $(EXTRA_OBJS) 
SRCS=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c counttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c
SRCKIT=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c makecounttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c
HFILES=deck.h deal.h tcl_incl.h vector.h stat.h tcl_dist.h dist.h formats.h additive.h stringbox.h dealtypes.h holdings.h keywords.h ansidecl.h
EXAMPLES= ex/*.tcl
BUILDFILES=Makefile Make.dep 
OTHERFILES=CHANGES LICENSE GPL input format lib deal.tcl docs

SOURCEKIT=$(SRCKIT) $(HFILES) $(EXAMPLES) $(BUILDFILES) $(OTHERFILES) $(EXTRAS)
UUKIT=$(EXAMPLES) $(OTHERFILES) deal

deal: $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o deal $(LDFLAGS)

deal.cgi:
	make clean
	make CFLAGS="$(CFLAGS) -DCGI"

ideal: $(OBJS)
	proof $(CC) $(CFLAGS) $(OBJS) -o ideal $(LDFLAGS)

vector.so: vector.c
	$(CC) -c $(CFLAGS) -PIC vector.c
	ld vector.o -o vector.so

dist.so: dist.c
	$(CC) -c $(CFLAGS) -PIC dist.c
	ld dist.o -o dist.so

stringbox.so: stringbox.c
	$(CC) -c $(CFLAGS) -PIC stringbox.c
	ld stringbox.o -o stringbox.so

ccenter:
	 #load $(CFLAGS) $(SRCS) $(LDFLAGS)

ccentero: $(OBJS)
	 #load -w $(CFLAGS) $(OBJS) $(LDFLAGS)

cov:
	$(MAKE) CC="covc"
	cat qccov_work/*.M > deal.M

expert:
	$(MAKE) CC="exbuild $(CC)"

rtc:
	$(MAKE) clean
	$(MAKE) CC="/s/latest/CenterLine/bin/ncc -rtc -Xa" DEBUG_FLAGS=-g deal

$(SRCS): deal.h

counttable.c: makecounttable
	./makecounttable > counttable.c

makecounttable: makecounttable.c
	$(CC) $(CFLAGS) makecounttable.c -o makecounttable $(LDFLAGS)

checkin:
	checkin.script $(SOURCEKIT)

checkout:
	co -u $(SOURCEKIT)

firstcheckin:
	ci $(SOURCEKIT)

shar:
	mv Make.dep Make.dep.saved
	touch Make.dep
	shar $(SOURCEKIT) >deal.shar
	mv Make.dep.saved Make.dep

KITNAME=deal
DEAL_VERSION=305
OLD_VERSION=304
RELEASE=$(KITNAME)$(DEAL_VERSION)
SRCDIR=$(RELEASE)
SRCZIP=$(SRCDIR).zip
EXEZIP=$(SRCDIR)exe.zip
DOCZIP=$(SRCDIR)doc.zip
SRCTAR=$(SRCDIR).tar
SRCGZIP=$(SRCTAR).gz
BINZIP=$(KITNAME)exe.zip
DIFFZIP=deal$(DEAL_VERSION)diff.zip
OLDZIP=../deal/deal$(OLD_VERSION).zip
OLDDIR=$(KITNAME)$(OLD_VERSION)

FTP=../ftp

allzip: zip xzip dzip gzip diffzip

CHANGES: docs/html/CHANGES.txt
	cp docs/html/CHANGES.txt CHANGES

zip: $(SRCZIP) 

xzip: $(EXEZIP)

dzip: $(DOCZIP)

$(SRCDIR): $(SOURCEKIT) docs/html docs/graphics
	mv Make.dep Make.dep.saved
	touch Make.dep
	rm -rf $(SRCDIR)
	mkdir $(SRCDIR)
	ls -1d $(SOURCEKIT) | xargs tar cf - | (cd $(SRCDIR) ; tar xf -)
	mv Make.dep.saved Make.dep

$(SRCZIP): $(SRCDIR)
	zip -r $(SRCZIP) $(SRCDIR) -x \*~

$(EXEZIP): $(SRCDIR)
	rm -f $(EXEZIP)
	zip -r $(EXEZIP) $(SRCDIR)/ex $(SRCDIR)/input $(SRCDIR)/format $(SRCDIR)/docs $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL -x \*~

$(DOCZIP): $(SRCDIR)
	rm -f $(DOCZIP)
	zip -r $(DOCZIP) $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/docs -x \*~

gzip: $(SRCTAR).gz

$(SRCTAR).gz: $(SRCDIR)
	rm -f $(SRCTAR).gz
	tar cf $(SRCTAR) $(SRCDIR)
	gzip $(SRCTAR)

$(BINZIP): deal
	strip deal
	ls -1 $(UUKIT) | grep -v /RCS | xargs zip $(BINZIP)
	#zip $(BINZIP) $(UUKIT)

diffzip: $(DIFFZIP)

$(DIFFZIP): $(SRCZIP)
	rm -rf tempdir $(DIFFZIP)
	mkdir tempdir
	cd tempdir ; unzip ../$(SRCZIP) ; unzip ../$(OLDZIP)
	cd tempdir ; diff -r $(OLDDIR) $(SRCDIR) > ../diff.out || echo Done
	zip $(DIFFZIP) diff.out

tar:
	mv Make.dep Make.dep.saved
	touch Make.dep
	tar cvf deal.tar $(SOURCEKIT)
	mv Make.dep.saved Make.dep

ftp: $(SRCZIP)
	cp $(SRCZIP) $(FTP)

uu: deal
	touch uu.header
	cp uu.header deal.uu
	rm -f $(TARFILE).[zZ]
	strip deal
	tar crf $(TARFILE) $(UUKIT)
	$(COMPRESSOR) $(TARFILE)
	uuencode $(TARFILE).[zZ] $(TARFILE).[zZ] >>deal.uu

depends:
	$(CC) $(CFLAGS) -M *.c >Make.dep

test:
	##setopt sys_load_cflags #$${sys_load_cflags} -L/tmp

clean:
	rm -rf deal $(OBJS) $(SRCDIR) $(SRCZIP) $(SRCGZIP) $(DOCZIP) $(EXEZIP)


include Make.dep

## deal 3.1.4

=== Makefile ===
# 
#
# This file is copyrighted under the GNU Public License.
# See http://www.gnu.org/copyleft/gpl.html for further
# details.
#
# Makefile for "deal", a bridge hand generator.
#

TCL_DIR=/usr

CC=gcc
MAC_ARCH = 
MAC_ARCH_UNIVERSAL = -arch i386 -arch ppc
#DEBUG_FLAGS=-g -ansi -Wall -O2 $(MAC_ARCH)
#CPPFLAGS = -fno-rtti -g -O2 $(MAC_ARCH)
DEBUG_FLAGS=-fast -ansi -Wall $(MAC_ARCH)
CPPFLAGS = -fno-rtti -fast -Winline -Wall $(MAC_ARCH)

# Change TCL_INCL to point to the directory containing Tcl's
# include files
TCL_INCL=/usr/local

# Change TCL_LIB to point to the directory where you have a copy
# of libtcl.
# 
TCL_LIB=$(TCL_DIR)/lib

######
LDFLAGS=  -L$(TCL_LIB) -ltcl -lm




#
ADVISOR=

# Since strdup is not implemented on some Ultrix systems
# (and is not required by ANSI C) you might want to
# uncomment the following line:
#
# EXTRAS_OBJS= util.o
#
EXTRA_OBJS= 

# On system which don't have "random" and "srandom",
# you might have to use the horrible "rand" for random
# number generation
#
#EXTRA_CFLAGS = -Drandom=rand -Dsrandom=srand
#
#EXTRA_CFLAGS = 
#EXTRA_CFLAGS = -DUSE_RAND48

COMPILE.c= $(CC) $(CFLAGS) -c

CFLAGS= $(DEBUG_FLAGS) -I$(TCL_INCL) $(EXTRA_CFLAGS)


OBJS=random.o additive.o hand.o deal.o formats.o tcl_deal.o maindeal.o stat.o counttable.o \
	vector.o dist.o stringbox.o dealtypes.o keywords.o holdings.o tcl_dds.o dds.o $(EXTRA_OBJS) 
SRCS=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c counttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c dds.cpp
SRCKIT=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c makecounttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c tcl_dds.c dds.cpp
HFILES=deck.h deal.h tcl_incl.h vector.h stat.h tcl_dist.h dist.h formats.h additive.h stringbox.h dealtypes.h holdings.h keywords.h ansidecl.h dds.h ddsInterface.h Holding.h
EXAMPLES= ex/*.tcl
TESTS=tests
HTML=html
BUILDFILES=Makefile Make.dep 
OTHERFILES=CHANGES LICENSE GPL input format lib deal.tcl

SOURCEKIT=$(SRCKIT) $(HFILES) $(EXAMPLES) $(BUILDFILES) $(OTHERFILES) $(EXTRAS) $(TESTS) $(HTML)
BINKIT=$(EXAMPLES) $(OTHERFILES) $(TESTS) $(HTML)
UUKIT=$(EXAMPLES) $(OTHERFILES) deal
BINARY=./deal

deal: $(OBJS)
	g++ $(CFLAGS) $(OBJS) -o deal $(LDFLAGS)

universal:
	$(MAKE) clean
	$(MAKE) MAC_ARCH="$(MAC_ARCH_UNIVERSAL)"
deal.cgi:
	make clean
	make CFLAGS="$(CFLAGS) -DCGI"

vector.so: vector.c
	$(CC) -c $(CFLAGS) -PIC vector.c
	ld vector.o -o vector.so

dist.so: dist.c
	$(CC) -c $(CFLAGS) -PIC dist.c
	ld dist.o -o dist.so

stringbox.so: stringbox.c
	$(CC) -c $(CFLAGS) -PIC stringbox.c
	ld stringbox.o -o stringbox.so

$(SRCS): deal.h

counttable.c: makecounttable
	./makecounttable > counttable.c

makecounttable: makecounttable.c
	$(CC) $(CFLAGS) makecounttable.c -o makecounttable $(LDFLAGS)

KITNAME=deal
DEAL_VERSION=314
OLD_VERSION=313
RELEASE=$(KITNAME)$(DEAL_VERSION)
SRCDIR=$(RELEASE)
BINDIR=$(RELEASE)-bin
SRCZIP=$(SRCDIR).zip
EXEZIP=$(SRCDIR)win.zip
DOCZIP=$(SRCDIR)doc.zip
SRCTAR=$(SRCDIR).tar
SRCGZIP=$(SRCTAR).gz
BINZIP=$(KITNAME)exe.zip
DMG=$(BINDIR).dmg
DIFFZIP=deal$(DEAL_VERSION)diff.zip
OLDZIP=../deal/deal$(OLD_VERSION).zip
OLDDIR=$(KITNAME)$(OLD_VERSION)
DOCDEST=html
DOCTYPE=release

SMALLTESTCOUNT=10

allzip: zip dmg

CHANGES: docs/html/CHANGES.txt
	cp docs/html/CHANGES.txt CHANGES

zip: $(SRCZIP) 

dmg: $(DMG)

xzip: $(EXEZIP)

dzip: $(DOCZIP)

documentation:
	rm -rf $(DOCDEST)
	mkdir $(DOCDEST)
	cp -r docs/graphics $(DOCDEST)/graphics
	cp -r docs/html/*.css docs/html/ex $(DOCDEST)
	cd docs/html; for file in *.html; do \
		php process.php $(DOCTYPE) $$file > ../../$(DOCDEST)/$$file ; done

sitedoc:
	$(MAKE) DOCDEST=site DOCTYPE=site documentation

newsite:
	$(MAKE) clean
	$(MAKE) universal
	$(MAKE) dmg
	cp $(DMG) site
	$(MAKE) zip
	cp $(SRCZIP) site
	$(MAKE) xzip
	cp $(EXEZIP) site
	

$(BINDIR): $(BINKIT) sitedoc documentation
	rm -rf $(BINDIR)
	mkdir $(BINDIR)
	/bin/ls -1d $(BINKIT) | xargs tar cf - | (cd $(BINDIR) ; tar xf -)
	find $(BINDIR) -name CVS -print | xargs /bin/rm -rf

$(SRCDIR): $(SOURCEKIT) docs/html docs/graphics documentation
	mv Make.dep Make.dep.saved
	touch Make.dep
	rm -rf $(SRCDIR)
	mkdir $(SRCDIR)
	/bin/ls -1d $(SOURCEKIT) | xargs tar cf - | (cd $(SRCDIR) ; tar xf -)
	mv Make.dep.saved Make.dep

$(SRCZIP): $(SRCDIR)
	zip -r $(SRCZIP) $(SRCDIR) -x \*~ -x *CVS/\*

$(EXEZIP): $(SRCDIR)
	rm -f $(EXEZIP) $(SRCDIR)/deal
	test -f deal.exe 
	test -f tcl85.dll
	cp deal.exe $(SRCDIR)
	cp tcl85.dll $(SRCDIR)
	zip -r $(EXEZIP) $(SRCDIR)/ex $(SRCDIR)/input $(SRCDIR)/format $(SRCDIR)/docs $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/lib $(SRCDIR)/deal.tcl $(SRCDIR)/deal.exe $(SRCDIR)/tcl85.dll $(SRCDIR)/tests $(SRCDIR)/html -x \*~ -x *CVS/\*

$(DMG): $(BINDIR) deal
	cp deal $(BINDIR)/deal
	/bin/rm -rf dmg $(DMG)
	mkdir dmg
	cp -r $(BINDIR) dmg/$(SRCDIR)
	hdiutil create -srcfolder dmg -volname "Deal $(DEAL_VERSION)" $(DMG)

$(DOCZIP): $(SRCDIR)
	rm -f $(DOCZIP)
	zip -r $(DOCZIP) $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/docs -x \*~ -x *CVS/\*

gzip: $(SRCTAR).gz

$(SRCTAR).gz: $(SRCDIR)
	rm -f $(SRCTAR).gz
	tar cf $(SRCTAR) $(SRCDIR)
	gzip $(SRCTAR)

$(BINZIP): deal
	strip deal
	ls -1 $(UUKIT) | grep -v /RCS | xargs zip $(BINZIP)
	#zip $(BINZIP) $(UUKIT)

diffzip: $(DIFFZIP)

$(DIFFZIP): $(SRCZIP)
	rm -rf tempdir $(DIFFZIP)
	mkdir tempdir
	cd tempdir ; unzip ../$(SRCZIP) ; unzip ../$(OLDZIP)
	cd tempdir ; diff -r $(OLDDIR) $(SRCDIR) > ../diff.out || echo Done
	zip $(DIFFZIP) diff.out

tar:
	mv Make.dep Make.dep.saved
	touch Make.dep
	tar cvf deal.tar $(SOURCEKIT)
	mv Make.dep.saved Make.dep

test: ./deal
	$(BINARY) -I "line tests/input/sample.line" -i format/ddline 100 > test.out
	if cmp test.out tests/output/sample.ddline ; then echo PASS; else echo FAIL  ; fi

smalltest: ./deal
	$(BINARY) -I "line tests/input/sample.line" -i format/ddline $(SMALLTESTCOUNT) > test.out
	head -$(SMALLTESTCOUNT) tests/output/sample.ddline > correct.out
	diff test.out correct.out
	if cmp test.out correct.out ; then echo PASS; else echo FAIL  ; fi

great88: ./deal
	$(BINARY) -x tests/great88 | fgrep FAIL || echo "PASSED"

html: documentation
ftp: $(SRCZIP)
	cp $(SRCZIP) $(FTP)

depends:
	$(CC) $(CFLAGS) -M *.c *.cpp >Make.dep

clean:
	rm -rf deal $(OBJS) $(SRCDIR) $(SRCZIP) $(SRCGZIP) $(DOCZIP) $(DMG) $(EXEZIP) $(BINDIR) html site

include Make.dep

## deal 3.1.7+svn313

=== Makefile ===
--- 
+++ 
@@ -9,31 +9,11 @@
 
 TCL_DIR=/usr
 
+include Make.mac-osx
+#include Make.ubuntu
+
 CC=gcc
-MAC_ARCH = 
-MAC_ARCH_UNIVERSAL = -arch i386 -arch ppc
-#DEBUG_FLAGS=-g -ansi -Wall -O2 $(MAC_ARCH)
-#CPPFLAGS = -fno-rtti -g -O2 $(MAC_ARCH)
-DEBUG_FLAGS=-fast -ansi -Wall $(MAC_ARCH)
-CPPFLAGS = -fno-rtti -fast -Winline -Wall $(MAC_ARCH)
-
-# Change TCL_INCL to point to the directory containing Tcl's
-# include files
-TCL_INCL=/usr/local
-
-# Change TCL_LIB to point to the directory where you have a copy
-# of libtcl.
-# 
-TCL_LIB=$(TCL_DIR)/lib
-
-######
-LDFLAGS=  -L$(TCL_LIB) -ltcl -lm
-
-
-
-
-#
-ADVISOR=
+
 
 # Since strdup is not implemented on some Ultrix systems
 # (and is not required by ANSI C) you might want to
@@ -58,14 +38,14 @@
 
 
 OBJS=random.o additive.o hand.o deal.o formats.o tcl_deal.o maindeal.o stat.o counttable.o \
-	vector.o dist.o stringbox.o dealtypes.o keywords.o holdings.o tcl_dds.o dds.o $(EXTRA_OBJS) 
-SRCS=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c counttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c dds.cpp
-SRCKIT=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c makecounttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c tcl_dds.c dds.cpp
-HFILES=deck.h deal.h tcl_incl.h vector.h stat.h tcl_dist.h dist.h formats.h additive.h stringbox.h dealtypes.h holdings.h keywords.h ansidecl.h dds.h ddsInterface.h Holding.h
+	vector.o dist.o stringbox.o dealtypes.o keywords.o holdings.o tcl_dds.o dds.o ddsLookup.o $(EXTRA_OBJS) 
+SRCS=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c counttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c dds.cpp ddsLookup.cpp getopt.c
+SRCKIT=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c makecounttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c tcl_dds.c dds.cpp ddsLookup.cpp
+HFILES=deck.h deal.h tcl_incl.h vector.h stat.h tcl_dist.h dist.h formats.h additive.h stringbox.h dealtypes.h holdings.h keywords.h ansidecl.h dds.h ddsInline.h ddsInterface.h Holding.h getopt.h ddsLookup.h
 EXAMPLES= ex/*.tcl
 TESTS=tests
 HTML=html
-BUILDFILES=Makefile Make.dep 
+BUILDFILES=Makefile Make.dep Make.mac-osx Make.ubuntu
 OTHERFILES=CHANGES LICENSE GPL input format lib deal.tcl
 
 SOURCEKIT=$(SRCKIT) $(HFILES) $(EXAMPLES) $(BUILDFILES) $(OTHERFILES) $(EXTRAS) $(TESTS) $(HTML)
@@ -104,8 +84,8 @@
 	$(CC) $(CFLAGS) makecounttable.c -o makecounttable $(LDFLAGS)
 
 KITNAME=deal
-DEAL_VERSION=314
-OLD_VERSION=313
+DEAL_VERSION=318
+OLD_VERSION=317
 RELEASE=$(KITNAME)$(DEAL_VERSION)
 SRCDIR=$(RELEASE)
 BINDIR=$(RELEASE)-bin
@@ -142,7 +122,7 @@
 	mkdir $(DOCDEST)
 	cp -r docs/graphics $(DOCDEST)/graphics
 	cp -r docs/html/*.css docs/html/ex $(DOCDEST)
-	cd docs/html; for file in *.html; do \
+	cd docs/html; for file in *.html *.js; do \
 		php process.php $(DOCTYPE) $$file > ../../$(DOCDEST)/$$file ; done
 
 sitedoc:
@@ -163,7 +143,7 @@
 	rm -rf $(BINDIR)
 	mkdir $(BINDIR)
 	/bin/ls -1d $(BINKIT) | xargs tar cf - | (cd $(BINDIR) ; tar xf -)
-	find $(BINDIR) -name CVS -print | xargs /bin/rm -rf
+	find $(BINDIR) -name .svn -print | xargs /bin/rm -rf
 
 $(SRCDIR): $(SOURCEKIT) docs/html docs/graphics documentation
 	mv Make.dep Make.dep.saved
@@ -174,7 +154,7 @@
 	mv Make.dep.saved Make.dep
 
 $(SRCZIP): $(SRCDIR)
-	zip -r $(SRCZIP) $(SRCDIR) -x \*~ -x *CVS/\*
+	zip -r $(SRCZIP) $(SRCDIR) -x \*~ -x *CVS/\* *.svn/\*
 
 $(EXEZIP): $(SRCDIR)
 	rm -f $(EXEZIP) $(SRCDIR)/deal
@@ -182,7 +162,7 @@
 	test -f tcl85.dll
 	cp deal.exe $(SRCDIR)
 	cp tcl85.dll $(SRCDIR)
-	zip -r $(EXEZIP) $(SRCDIR)/ex $(SRCDIR)/input $(SRCDIR)/format $(SRCDIR)/docs $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/lib $(SRCDIR)/deal.tcl $(SRCDIR)/deal.exe $(SRCDIR)/tcl85.dll $(SRCDIR)/tests $(SRCDIR)/html -x \*~ -x *CVS/\*
+	zip -r $(EXEZIP) $(SRCDIR)/ex $(SRCDIR)/input $(SRCDIR)/format $(SRCDIR)/docs $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/lib $(SRCDIR)/deal.tcl $(SRCDIR)/deal.exe $(SRCDIR)/tcl85.dll $(SRCDIR)/tests $(SRCDIR)/html -x \*~ -x *CVS/\* *.svn/\*
 
 $(DMG): $(BINDIR) deal
 	cp deal $(BINDIR)/deal
@@ -193,7 +173,7 @@
 
 $(DOCZIP): $(SRCDIR)
 	rm -f $(DOCZIP)
-	zip -r $(DOCZIP) $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/docs -x \*~ -x *CVS/\*
+	zip -r $(DOCZIP) $(SRCDIR)/CHANGES $(SRCDIR)/LICENSE $(SRCDIR)/GPL $(SRCDIR)/docs -x \*~ -x *CVS/\* *.svn/\*
 
 gzip: $(SRCTAR).gz

## deal 3.1.9

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,10 @@
 CFLAGS= $(DEBUG_FLAGS) -I$(TCL_INCL) $(EXTRA_CFLAGS)
 
 
-OBJS=random.o additive.o hand.o deal.o formats.o tcl_deal.o maindeal.o stat.o counttable.o \
-	vector.o dist.o stringbox.o dealtypes.o keywords.o holdings.o tcl_dds.o dds.o ddsLookup.o $(EXTRA_OBJS) 
+OBJS=random.o additive.o hand.o deal.o formats.o tcl_deal.o maindeal.o \
+	stat.o counttable.o vector.o dist.o stringbox.o dealtypes.o \
+	keywords.o holdings.o tcl_dds.o dds.o ddsLookup.o \
+	$(EXTRA_OBJS) 
 SRCS=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c counttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c dds.cpp ddsLookup.cpp getopt.c
 SRCKIT=additive.c hand.c deal.c formats.c tcl_deal.c dist.c vector.c stat.c makecounttable.c stringbox.c dealtypes.c holdings.c keywords.c maindeal.c random.c tcl_dds.c dds.cpp ddsLookup.cpp
 HFILES=deck.h deal.h tcl_incl.h vector.h stat.h tcl_dist.h dist.h formats.h additive.h stringbox.h dealtypes.h holdings.h keywords.h ansidecl.h dds.h ddsInline.h ddsInterface.h Holding.h getopt.h ddsLookup.h
@@ -59,6 +61,7 @@
 universal:
 	$(MAKE) clean
 	$(MAKE) MAC_ARCH="$(MAC_ARCH_UNIVERSAL)"
+
 deal.cgi:
 	make clean
 	make CFLAGS="$(CFLAGS) -DCGI"
@@ -80,12 +83,9 @@
 counttable.c: makecounttable
 	./makecounttable > counttable.c
 
-makecounttable: makecounttable.c
-	$(CC) $(CFLAGS) makecounttable.c -o makecounttable $(LDFLAGS)
-
 KITNAME=deal
-DEAL_VERSION=318
-OLD_VERSION=317
+DEAL_VERSION=319
+OLD_VERSION=318
 RELEASE=$(KITNAME)$(DEAL_VERSION)
 SRCDIR=$(RELEASE)
 BINDIR=$(RELEASE)-bin
@@ -223,6 +223,6 @@
 	$(CC) $(CFLAGS) -M *.c *.cpp >Make.dep
 
 clean:
-	rm -rf deal $(OBJS) $(SRCDIR) $(SRCZIP) $(SRCGZIP) $(DOCZIP) $(DMG) $(EXEZIP) $(BINDIR) html site
+	rm -rf deal $(OBJS) $(SRCDIR) $(SRCZIP) $(SRCGZIP) $(DOCZIP) $(DMG) $(EXEZIP) $(BINDIR) counttable.c makecounttable makecounttable.o html site
 
 include Make.dep

=== debian/changelog ===
deal (3.1.9-9) unstable; urgency=medium

  * Bump Standards-Version and modernize Vcs URLs.
  * html: Remove check-old version code so we don't call home.
  * debian/tests/installcheck: Include /usr/games in PATH.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Nov 2017 20:18:23 +0100

deal (3.1.9-8) unstable; urgency=medium

  * debian/tests/control: Add Restrictions: allow-stderr.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 11 Feb 2014 12:37:25 +0100

deal (3.1.9-7) unstable; urgency=medium

  * Unfortunately we can't run tests at build time because we read
    /usr/share/deal/deal.tcl.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 10 Feb 2014 17:09:15 +0100

deal (3.1.9-6) unstable; urgency=medium

  * Use the default tcl version for #include and linking.
  * Convert to a "dh" rules file.
  * Run tests at buildtime and use /usr/games/deal for the autopkgtests.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 10 Feb 2014 11:09:33 +0100

deal (3.1.9-5) unstable; urgency=low

  [ Martin Pitt ]
  * Add missing "tcl-dev" autopkgtest dependency.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Nov 2013 21:59:20 +0100

deal (3.1.9-4) unstable; urgency=low

  * Make.ubuntu: Remove -L/usr/lib so we don't pick up bad libs on multiarch
    systems. (Closes: #722762)
  * Use 3.0 (quilt).
  * Add autopkgtest support.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2013 17:17:16 +0200

deal (3.1.9-3) unstable; urgency=low

  * Set compat 9 and enable hardening.
  * Use tcl-dev again, default tcl version is now 8.5.
  * Update Vcs urls.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Mar 2012 13:51:40 +0100

deal (3.1.9-2) experimental; urgency=low

  * Recompile with tcl 8.5. (Closes: #607476)

 -- Christoph Berg <myon@debian.org>  Sun, 19 Dec 2010 15:10:04 +0100

deal (3.1.9-1) unstable; urgency=low

  * New upstream release.
    + diff.gz-only-patch: do not remove html dir on clean.

 -- Christoph Berg <myon@debian.org>  Fri, 02 Apr 2010 23:46:10 +0200

deal (3.1.7+svn313-1) unstable; urgency=low

  * New SVN snapshot from http://code.google.com/p/andrews-deal/.
    + html docs include php, some pages will look ugly when viewed locally.
  * Use the shipped dds.cpp version, it is heavily modified wrt upstream's
    version.
  * Refresh debian/patches/seed-getpid.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Jun 2009 20:32:15 +0200

deal (3.1.4-1) unstable; urgency=low

  * New upstream release. (Closes: #488598)
    Thanks to Travis Crump for spotting, the watch file didn't notice.
  * Update upstream website location in control and watch files.
  * Use libdds.a instead of the shipped dds.cpp copy.
  * Convert to quilt (except for an overzealous clean target in the Makefile).

 -- Christoph Berg <myon@debian.org>  Sun, 06 Jul 2008 00:57:45 +0200

deal (3.0.8-4) unstable; urgency=low

  * Fix segfault on amd64, (int)random() sometimes returned negative numbers
    (Closes: #383625).
  * Xor the seed with getpid() to make deals more random.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Aug 2006 01:37:28 +0200

deal (3.0.8-3) unstable; urgency=low

  * Rebuild.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Wed, 12 Oct 2005 18:24:19 +0200

deal (3.0.8-2) unstable; urgency=low

  * Two input/ files were still using relative source paths.
  * Noted copyright holders in debian/copyright and the used licenses.
  * Pass CFLAGS to Makefile in debian/rules.
  * Add ${misc:Depends} in debian/control.

 -- Christoph Berg <cb@df7cb.de>  Sun,  6 Feb 2005 13:00:19 +0100

deal (3.0.8-1) unstable; urgency=low

  * Initial release (Closes: #185739).

 -- Christoph Berg <cb@df7cb.de>  Sun,  9 Jan 2005 22:21:06 +0100

=== debian/control ===
Source: deal
Section: games
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), tcl-dev
Standards-Version: 4.1.1
Homepage: http://bridge.thomasoandrews.com/deal/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/deal.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deal.git

Package: deal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bridge hand generator
 This program generates bridge hands. It can be told to generate only hands
 satisfying conditions like being balanced, having a range of HCPs, controls,
 or other user-definable properties. Hands can be output in various formats,
 like pbn for feeding to other bridge programs, deal itself, or split up into a
 file per player for practise. Extensible via Tcl.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	$(MAKE) EXTRA_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" \
		EXTRA_CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"

override_dh_auto_test:

override_dh_auto_clean:
	touch Make.dep
	$(MAKE) clean
	dh_clean makecounttable counttable.c build-stamp configure-stamp
	# test suite leftovers
	rm -f test.out correct.out

override_dh_installman:
	dh_installman debian/deal.6

%:
	dh $@

=== debian/watch ===
version=3
opts="dversionmangle=s/\+svn.*//,uversionmangle=s/(.)(.)(.)/$1.$2.$3/" \
http://bridge.thomasoandrews.com/deal/downloading.html deal([\d.-]*)(?:src)?.zip
